c----------------------------------------------------------------------
      function rac(ia,ib,ic,id,ie,if)
c     racah coefficient r(a,b,c,d,e,f)
c     ia=2*a, ib=2*b, etc
c----------------------------------------------------------------------
      include 'dimn.fh'
      include 'clebs.fh'
      dimension  lt(6)
c
      rac=0.0
      k1=ia+ib-ie
      k2=ie-iabs (ia-ib)
      k3=ic+id-ie
      k4=ie-iabs (ic-id)
      k5=ia+ic-if
      k6=if-iabs (ia-ic)
      k7=ib+id-if
      k8=if-iabs(ib-id)
      k9= min0 (k1,k2,k3,k4,k5,k6,k7,k8)
      if(k9.lt.0) return
      k2=k1-2*(k1/2)
      k4=k3-2*(k3/2)
      k6=k5-2*(k5/2)
      k8=k7-2*(k7/2)
      if(max0(k2,k4,k6,k8).ne.0) return
      ltmin=min0(ia,ib,ic,id,ie,if)
      if(ltmin.lt.0) return
      if(ltmin.eq.0) then
        lt(1)=ia
        lt(2)=ib
        lt(3)=ic
        lt(4)=id
        lt(5)=ie
        lt(6)=if
        ltmin=lt(1)
        kmin=1
        do 40 n=2,6
          if(lt(n).lt.ltmin) then
            ltmin=lt(n)
            kmin=n
          end if
   40   continue
        s1=1.0
        f1=ie
        f2=if
        if(kmin.eq.5) then
          f1=ia
          f2=ic
          s1=(-1.0 )**(k5/2)
        else if(kmin.eq.6) then
          f1=ia
          f2=ib
          s1=(-1.0 )**(k1/2)
        end if
        rac=s1/sqrt((f1+1.0 )*(f2+1.0 ))
        return
      end if
      iabep=(ia+ib+ie)/2+1
      icdep=(ic+id+ie)/2+1
      iacfp=(ia+ic+if)/2+1
      ibdfp=(ib+id+if)/2+1
      iabe=iabep-ie
      ieab=iabep-ib
      ibea=iabep-ia
      icde=icdep-ie
      iecd=icdep-id
      idec=icdep-ic
      iacf=iacfp-if
      ifac=iacfp-ic
      icfa=iacfp-ia
      ibdf=ibdfp-if
      ifbd=ibdfp-id
      idfb=ibdfp-ib
      iabcd1=(ia+ib+ic+id+4)/2
      iefmad=(ie+if-ia-id)/2
      iefmbc=(ie+if-ib-ic)/2
      nzmax=min0(iabe,icde,iacf,ibdf)
      nzmi1=-iefmad
      nzmi2=-iefmbc
      nzmin=max0(0,nzmi1,nzmi2)+1
      if(nzmax.lt.nzmin) return
  180 sqlog=faclog(iabe)+faclog(ieab)+faclog(ibea)+faclog(icde)
     &+faclog(iecd)+faclog(idec)+faclog(iacf)+faclog(ifac)
     &+faclog(icfa)+faclog(ibdf)+faclog(ifbd)+faclog(idfb)
     &-faclog(iabep+1)-faclog(icdep+1)-faclog(iacfp+1)
     &-faclog(ibdfp+1)
      sqlog=0.5 *sqlog
      do 200 nz=nzmin,nzmax
        nzm1=nz-1
        k1=iabcd1-nzm1
        k2=iabe-nzm1
        k3=icde-nzm1
        k4=iacf-nzm1
        k5=ibdf-nzm1
        k6=nz
        k7=iefmad+nz
        k8=iefmbc+nz
        sslog=sqlog+faclog(k1)-faclog(k2)-faclog(k3)-faclog(k4)
     1           -faclog(k5)-faclog(k6)-faclog(k7)-faclog(k8)
        ssterm=((-1.0 )**nzm1)*exp(sslog)
        rac=rac+ssterm
  200 continue
      return
      end
